Mail archive
alpine-aports

[alpine-aports] [PATCH 4/7] community/whois: fix undefined libintl

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Mon, 22 Aug 2016 05:16:01 +0000

---
 community/whois/APKBUILD                | 17 +++++++++++------
 community/whois/undefined-libintl.patch | 11 +++++++++++
 2 files changed, 22 insertions(+), 6 deletions(-)
 create mode 100644 community/whois/undefined-libintl.patch
diff --git a/community/whois/APKBUILD b/community/whois/APKBUILD
index 64371ca..831ee21 100644
--- a/community/whois/APKBUILD
+++ b/community/whois/APKBUILD
_at_@ -2,21 +2,23 @@
 # Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
 pkgname=whois
 pkgver=5.2.12
-pkgrel=1
+pkgrel=2
 pkgdesc="Intelligent WHOIS client by Marco d'Itri"
 url="http://www.linux.it/~md/software/"
 arch="all"
 license="GPL2"
 makedepends="$depends_dev perl libidn-dev gettext-dev"
 subpackages="$pkgname-doc"
-source="$pkgname-$pkgver.tar.gz::https://github.com/rfc1036/$pkgname/archive/v$pkgver.tar.gz"
+source="$pkgname-$pkgver.tar.gz::https://github.com/rfc1036/$pkgname/archive/v$pkgver.tar.gz
+	undefined-libintl.patch
+	"
 
 _builddir="$srcdir"/$pkgname-$pkgver
 build() {
 	cd "$_builddir"
 	make CONFIG_FILE="/etc/whois.conf" \
 		HAVE_LIBIDN=1 HAVE_ICONV=1 \
-		CFLAGS="$CFLAGS -lintl $CXXFLAGS" || return 1
+		|| return 1
 }
 
 package() {
_at_@ -25,6 +27,9 @@ package() {
 	install -D -m644 whois.conf "$pkgdir/etc/whois.conf"
 }
 
-md5sums="c7d86f4cdc97f92722b2500bf12aefd1  whois-5.2.12.tar.gz"
-sha256sums="8485aa02909fd6aaa1cfd8b5e63559310879bf8a62793a83c96a4502164b968a  whois-5.2.12.tar.gz"
-sha512sums="812ae2a344e5b190175213cca1b10cc58821312f8ad8b31995ecb6963e71b1343ccfa6f06ce896856b9c9622be3dfb22e1fba30ed254f25373f08b4d84143552  whois-5.2.12.tar.gz"
+md5sums="c7d86f4cdc97f92722b2500bf12aefd1  whois-5.2.12.tar.gz
+2242ddc5ddd2bb98465e467e324de686  undefined-libintl.patch"
+sha256sums="8485aa02909fd6aaa1cfd8b5e63559310879bf8a62793a83c96a4502164b968a  whois-5.2.12.tar.gz
+27876ce871f1116b6bc5baeab5176787b36c5ca1574dff2267b236f97b2a35d4  undefined-libintl.patch"
+sha512sums="812ae2a344e5b190175213cca1b10cc58821312f8ad8b31995ecb6963e71b1343ccfa6f06ce896856b9c9622be3dfb22e1fba30ed254f25373f08b4d84143552  whois-5.2.12.tar.gz
+83de8846813ee25acda5027a79b71932cdd8d9a13acac6f7d7831c1f84b154fb865abda510d82222e6edb344dead7f480734b1fe83dc3ba8a3ec81b35ba0ab69  undefined-libintl.patch"
diff --git a/community/whois/undefined-libintl.patch b/community/whois/undefined-libintl.patch
new file mode 100644
index 0000000..0150053
--- /dev/null
+++ b/community/whois/undefined-libintl.patch
_at_@ -0,0 +1,11 @@
+--- whois-5.2.12/Makefile
++++ whois-5.2.12/Makefile.new
+_at_@ -14,7 +14,7 @@
+ 
+ # FreeBSD
+ #whois_LDADD += -liconv
+-#LIBS += -L/usr/local/lib -lintl
++LIBS += -lintl
+ #INCLUDES += -I/usr/local/include
+ 
+ # OS/2 EMX
-- 
2.9.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Aug 22 2016 - 05:16:01 GMT